﻿using System;
using System.Collections.ObjectModel;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Configuration;

namespace CallbackForFleetTracker {
    public partial class TestForm : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean);
                Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
                Map1.MapUnit = GeographyUnit.Meter;
                Map1.MapTools.OverlaySwitcher.Enabled = true;

                ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(MapPath("~/App_Data/cntry02.shp"));
                layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
                layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                Proj4Projection proj4 = new Proj4Projection(Proj4Projection.GetEpsgParametersString(4326), Proj4Projection.GetGoogleMapParametersString());
                layer.FeatureSource.Projection = proj4;
                LayerOverlay overlay = new LayerOverlay("World Map");
                overlay.Layers.Add(layer);
                overlay.IsBaseOverlay = false;

                GoogleOverlay google = new GoogleOverlay("Google Map");
                google.JavaScriptLibraryUri = new Uri(ConfigurationManager.AppSettings["GoogleUri"]);
                google.IsBaseOverlay = false;
                google.GoogleMapType = GoogleMapType.Hybrid;

                Map1.CustomOverlays.Add(overlay);
                Map1.CustomOverlays.Add(google);

                Map1.OnClientExtentChanged = "updateZindex";
            }
        }
    }
}
